<?php
/**
 * Archive page template
 *
 * @package Multi
 */

get_header();
get_template_part( 'template-parts/content-start' );

$archive_layout = get_theme_mod( 'multi_post_list_layout', MULTIMAGAZINE_POST_LIST_LAYOUT );
get_template_part( 'template-parts/archive-layout-' . $archive_layout );

/**
 * If the layout isn't full width, show the sidebar
 */
$layouts_with_sidebar = array( 0, 2, 3, 7 );
if ( in_array( $archive_layout, $layouts_with_sidebar, true ) ) {
	$multimagazine_sidebar_position = $multimagazine_sidebar_pos_global;
	if ( 'off' !== $multimagazine_sidebar_position ) {
		get_sidebar();
	}
}
get_footer();
